Re: .steprc option

Brad (brad@eclipse.net)
Thu, 28 Jan 1999 13:55:09 -0500


Andrew Sullivan wrote:
> 
> On Wed, 27 Jan 1999, Dmitri Alexeev wrote:
> 
> > [~]$ afterstep -f ~/.steprc
> > AfterStep v. 1.6.6
> >
> > This was also the case with 1.6.0. Giving absolute path does nothing.
> > What is wrong?
> 
> You're trying to start AS from the command line, according to this.  You
> need to start it from within X.  Put the "afterstep -f ~/.steprc" in your
> .xinitrc instead.
> 

Doesn't matter, there's a typo in line 198 of src/afterstep/afterstep.c, it
should read:

 	  config_file_to_override = argv[++i];

Change it a recompile to allow .steprc in 1.6.x.  1.7 works fine... the bug was
actually discovered within hours of 1.6.0's released, and reported to the
allanon... (and he showed me how to fix it right away, too :-)

-Hitchhiker

--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.caldera.com/linuxcenter/forums/afterstep.html